Bug 153438 - [patch] devel/pecl-intl can be compiled with lang/php52 (php 5.2.16) and this needed for mail/roundcube
Summary: [patch] devel/pecl-intl can be compiled with lang/php52 (php 5.2.16) and this...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-25 07:50 UTC by Svyatoslav Lempert
Modified: 2011-01-03 22:40 UTC (History)
0 users

See Also:


Attachments
file.diff (253 bytes, patch)
2010-12-25 07:50 UTC, Svyatoslav Lempert
no flags Details | Diff
pecl-intl_freebsd7_php52_log.txt (70.55 KB, text/plain)
2011-01-03 20:19 UTC, russ
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Svyatoslav Lempert 2010-12-25 07:50:09 UTC
Some ports such as mail/roundcube depend from devel/pecl-intl port and this port can't be build if lang/php52 installed because it have in the Makefile

IGNORE_WITH_PHP=4 52

This was added in the version
http://www.freshports.org/devel/pecl-intl/
1.1.2_2 Add IGNORE_WITH_PHP=4 52 as this requires php 5.2.4 or newer

Вut this wrong, because lang/php52 never have 5.2.4 version, it's php 5.2.16 now ant port devel/pecl-intl can be build and installed with PHP 5.2.16 successfully.

Fix: Please apply patch to devel/pecl-intl port

Patch attached with submission follows:
How-To-Repeat: ===>   Returning to build of roundcube-0.5.b_1,1
===>   roundcube-0.5.b_1,1 depends on file: /usr/local/lib/php/20060613/intl.so - not found
===>    Verifying install for /usr/local/lib/php/20060613/intl.so in /usr/ports/devel/pecl-intl
===>  pecl-intl-1.1.2_2 cannot install: doesn't work with PHP version : 52 (Doesn't support PHP 4 52).
*** Error code 1

Stop in /usr/ports/devel/pecl-intl.
*** Error code 1

Stop in /usr/ports/mail/roundcube.
*** Error code 1

Stop in /usr/ports/mail/roundcube.
bsd8#
Comment 1 Edwin Groothuis freebsd_committer 2010-12-25 07:50:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Oleksii Samorukov freebsd_committer 2010-12-26 22:14:04 UTC
Also i am recommending to remove all patched - vanilla version works 
just fine and it is unclear for me why do we need this patchset.
Comment 3 dfilter service freebsd_committer 2010-12-29 07:20:13 UTC
miwi        2010-12-29 07:20:03 UTC

  FreeBSD ports repository

  Modified files:
    devel/pecl-intl      Makefile 
  Log:
  - Revert previous commit to allow build with php5.2
  
  PR:             153438
  Submitted by:   Svyatoslav Lempert <svyatoslav.lempert@gmail.com>
  
  Revision  Changes    Path
  1.11      +1 -1      ports/devel/pecl-intl/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2010-12-29 07:20:18 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 russ 2011-01-03 20:19:49 UTC
Since the 12/29 update, I get a different error. This is on FreeBSD
7.3-STABLE with PHP 5.2.16 (current php52).

Script log is attached.

Thanks,

Russ

collator/.libs/collator_class.o(.bss+0x4): multiple definition of
`collator_0_args'
.libs/php_intl.o(.data.rel.local+0xa0): first defined here
/usr/bin/ld: Warning: size of symbol `collator_0_args' changed from 48 in
.libs/php_intl.o to 24 in collator/.libs/collator_class.o
collator/.libs/collator_class.o(.data.rel.local+0x0): multiple definition of
`collator_1_arg'
.libs/php_intl.o(.data.rel.local+0xe0): first defined here
/usr/bin/ld: Warning: size of symbol `collator_1_arg' changed from 72 in
.libs/php_intl.o to 48 in collator/.libs/collator_class.o
collator/.libs/collator_class.o(.data.rel.local+0x40): multiple definition
of `collator_2_args'
.libs/php_intl.o(.data.rel.local+0x140): first defined here
/usr/bin/ld: Warning: size of symbol `collator_2_args' changed from 96 in
.libs/php_intl.o to 72 in collator/.libs/collator_class.o
collator/.libs/collator_class.o(.data.rel.local+0xa0): multiple definition
of `collator_sort_args'
.libs/php_intl.o(.data.rel.local+0x1a0): first defined here
/usr/bin/ld: Warning: size of symbol `collator_sort_args' changed from 96 in
.libs/php_intl.o to 72 in collator/.libs/collator_class.o
locale/.libs/locale_class.o(.bss+0x4): multiple definition of
`locale_0_args'
.libs/php_intl.o(.bss+0x18): first defined here
locale/.libs/locale_class.o(.data.rel.local+0x0): multiple definition of
`locale_1_arg'
.libs/php_intl.o(.data.rel.local+0x300): first defined here
locale/.libs/locale_class.o(.data.rel.local+0x40): multiple definition of
`locale_2_args'
.libs/php_intl.o(.data.rel.local+0x340): first defined here
locale/.libs/locale_class.o(.data.rel.local+0xa0): multiple definition of
`locale_3_args'
.libs/php_intl.o(.data.rel.local+0x3a0): first defined here
locale/.libs/locale_class.o(.data.rel.local+0x100): multiple definition of
`locale_4_args'
.libs/php_intl.o(.data.rel.local+0x400): first defined here
dateformat/.libs/dateformat_class.o(.data.rel.local+0x0): multiple
definition of `datefmt_parse_args'
.libs/php_intl.o(.data.rel.local+0x6e0): first defined here
/usr/bin/ld: Warning: size of symbol `datefmt_parse_args' changed from 96 in
.libs/php_intl.o to 72 in dateformat/.libs/dateformat_class.o
*** Error code 1

Stop in /usr/ports/devel/pecl-intl/work/intl-1.1.2.
*** Error code 1

Stop in /usr/ports/devel/pecl-intl.
Comment 6 Tom Judge 2011-01-03 22:35:06 UTC
Hi Russ,

I just updated my PHP 5.2 tinderbox build to 5.2.16 and have the same issue:

http://tinderbox.tomjudge.com/tb/errors/8.1-PECL-5.2-amd64/pecl-intl-1.1.2_2.log


Tom

-- 
TJU13-ARIN